SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUDynamicComponentAttributeRef Struct Reference

References attribute data about a dynamic component. More...

`#include <SketchUpAPI/model/dynamic_component_attribute.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUDynamicComponentAttributeGetName (SUDynamicComponentAttributeRef attribute, SUStringRef *name)
| Gets the name of the attribute. More...
enum SUResult | SUDynamicComponentAttributeGetDisplayName (SUDynamicComponentAttributeRef attribute, SUStringRef *display_name)
| Gets the display name of the attribute. More...
enum SUResult | SUDynamicComponentAttributeGetVisibility (SUDynamicComponentAttributeRef attribute, bool *visible)
| Gets the visibility setting of the attribute. More...
enum SUResult | SUDynamicComponentAttributeGetDisplayValue (SUDynamicComponentAttributeRef attribute, SUStringRef *display_value)
| Gets the display value of the attribute. More...

## Detailed Description

References attribute data about a dynamic component.

## Friends And Related Function Documentation

enum SUResult SUDynamicComponentAttributeGetDisplayName | ( | SUDynamicComponentAttributeRef | attribute,
|  | SUStringRef * | display_name
| ) |  |
| related

Gets the display name of the attribute.

Since
  SketchUp 2016, API 4.0

Parameters

  [in] | attribute | The dynamic component attribute object.
  [out] | display_name | The attribute name as it should be displayed to the user.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if display_name is NULL
  - SU_ERROR_INVALID_OUTPUT if display_name does not point to a valid SUStringRef object

enum SUResult SUDynamicComponentAttributeGetDisplayValue | ( | SUDynamicComponentAttributeRef | attribute,
|  | SUStringRef * | display_value
| ) |  |
| related

Gets the display value of the attribute.

Since
  SketchUp 2016, API 4.0

Parameters

  [in] | attribute | The dynamic component attribute object.
  [out] | display_value | The value data for the attribute converted to a string formatted as it should be displayed to the user.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if display_value is NULL
  - SU_ERROR_INVALID_OUTPUT if display_value does not point to a valid SUStringRef object

enum SUResult SUDynamicComponentAttributeGetName | ( | SUDynamicComponentAttributeRef | attribute,
|  | SUStringRef * | name
| ) |  |
| related

Gets the name of the attribute.

Since
  SketchUp 2016, API 4.0

Parameters

  [in] | attribute | The dynamic component attribute object.
  [out] | name | The internal name of the attribute.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if name is NULL
  - SU_ERROR_INVALID_OUTPUT if name does not point to a valid SUStringRef object

enum SUResult SUDynamicComponentAttributeGetVisibility | ( | SUDynamicComponentAttributeRef | attribute,
|  | bool * | visible
| ) |  |
| related

Gets the visibility setting of the attribute.

Since
  SketchUp 2016, API 4.0

Parameters

  [in] | attribute | The dynamic component attribute object.
  [out] | visible | Set to true if the attribute is visible to users and false if it is not.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if visible is NULL

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/dynamic_component_attribute.h